/**
 * This file decribes how to make the game menu.
 */
var gameMenuDefinitions = {
	"Select" : {
		"icon" : "images/tango-icon-theme-0.8.90/32x32/pointer.png",
		"action" : function(){this.setTool('select',false);}
	},
	"Demolish" : {
		"icon" : "images/tango-icon-theme-0.8.90/32x32/places/user-trash.png",
		"action" : function(){this.setTool('bulldozer',false);}
	},
	"Terraform" : {
		"icon" : "images/tango-icon-theme-0.8.90/32x32/terraform.png",
		"sub" : {
			"Raise or Lower" : {
				"icon" : "images/tango-icon-theme-0.8.90/32x32/raise-corner.png",
				"action" : function(){this.setTool('raisecorner',false);}
			},
			"Raise" : {
				"icon" : "images/tango-icon-theme-0.8.90/32x32/raise.png",
				"action" : function(){this.setTool('raise',false);}
			},
			"Lower" : {
				"icon" : "images/tango-icon-theme-0.8.90/32x32/lower.png",
				"action" : function(){this.setTool('lower',false);}
			}
		}
	},
	"Transport" : {
		"icon" : "images/tango-icon-theme-0.8.90/32x32/categories/applications-development.png",
		"sub" : {
			"Main Road" : {
				"icon" : "../isocan/tiles/Road/road-sidewalk-e-w.png",
				"action" : function(){this.setTool('Road','sidewalk');}
			},
			"Service Road" : {
				"icon" : "../isocan/tiles/Road/road-service-e-w.png",
				"action" : function(){this.setTool('Road','service')}
			}
		}
	},
	"Landscape" : {
		"icon" : "images/tango-icon-theme-0.8.90/32x32/status/weather-clear.png",
		"sub" : {
			"Water" : {
				"icon" : "../isocan/tiles/Water/water.gif",
				"action" : function(){this.setTool('Water','water');}
			},
			"Beach" : {
				"icon" : "../isocan/tiles/Beach/basic.png",
				"action" : function(){this.setTool('Beach','sand');}
			},
			"Beach (Shore)" : {
				"icon" : "../isocan/tiles/Beach/beach-sand-e-s.png",
				"action" : function(){this.setTool('Beach','shore');}
			},
			"Forest" : {
				"icon" : "../isocan/tiles/Decoration/g6690.png",
				"action" : function(){this.setTool('Decoration','forest');} 
			}
		}
	},
	"Zoning" : {
		"icon" : "images/tango-icon-theme-0.8.90/32x32/actions/go-home.png",
		"sub" : {
			"Industrial Lot 1" : {
				"icon" : "../isocan/tiles/Lot/industrial-housing.svgz",
				"action" : function(){this.setTool('Lot','industrial-housing');}
			},
			"Pritchard House" : {
				"icon" : "../isocan/tiles/Lot/pritchard-house.svgz",
				"action" : function(){this.setTool('Lot','pritchard-house');}
			},
			"Diner" : {
				"icon" : "../isocan/tiles/Lot/diner.svgz",
				"action" : function(){this.setTool('Lot','diner');}
			},
			"Market" : {
				"icon" : "../isocan/tiles/Lot/market.svgz",
				"action" : function(){this.setTool('Lot','market');}
			},
			"Shed" : {
				"icon" : "../isocan/tiles/Lot/diner.svgz",
				"action" : function(){this.setTool('Lot','shed');}
			},
			"Warehouse" : {
				"icon" : "../isocan/tiles/Lot/warehouse.svgz",
				"action" : function(){this.setTool('Lot','warehouse');}
			},
			"Farnsworth House" : {
				"icon" : "../isocan/tiles/Lot/farnsworth-house.svgz",
				"action" : function(){this.setTool('Lot','farnsworth-house');}
			},
		}
	},
	"Zoom" : {
		"icon" : "images/tango-icon-theme-0.8.90/32x32/actions/system-search.png",
		"sub" : {
			"Zoom In" : {
				"icon" : "images/tango-icon-theme-0.8.90/32x32/actions/list-add.png",
				"action" : function(){
					IsoCanTutorial.zoomIn();
					return false;
				}
			},
			"Zoom Out" : {
				"icon" : "images/tango-icon-theme-0.8.90/32x32/actions/list-remove.png",
				"action" : function(){
					IsoCanTutorial.zoomOut();
					return false;
				}
			}
		}
	},
	"Game" : {
		"icon" : "images/tango-icon-theme-0.8.90/32x32/emblems/emblem-system.png",
		"sub" : {
			"Prichard House 1" : {
				"icon" : "../isocan/tiles/Visualisation/subtile.png",
				"action" : function(){this.setTool('Visualisation','subtile');}
			},
			"Pause" : {
				"icon" : "images/tango-icon-theme-0.8.90/32x32/actions/media-playback-pause.png",
				"action" : function(){
					if(IsoCanTutorial.gameSpeed == 0) {
						IsoCanTutorial.gameSpeed = 1;
						
					} else {
						IsoCanTutorial.gameSpeed = 0;
						this.setIcon("images/tango-icon-theme-0.8.90/32x32/actions/media-playback-start.png");
					}
					return false;
				}
			},
			"Save Game" : {
				"icon" : "images/tango-icon-theme-0.8.90/32x32/actions/document-save.png",
				"action" : function(){
					var saveName = prompt('Please enter a name for this savegame?', (new Date()).toDateString());
					if(saveName === null || !saveName) return;
					saveGame(saveName);
					return false;
				}
			},
			"Load Game" : {
				"icon" : "images/tango-icon-theme-0.8.90/32x32/actions/document-open.png",
				"action" : function(){
					var games = localStorage.getItem('isotoy-savegames');
					if(games === null) games = '[]';
					games = JSON.parse(games);
					
					var list = $('<ul class="buttons"></ul>');
					list.children('li').remove();
					for(id in games) {
						var thisGame = $('<li><a href="#"></a></li>');
						$('a',thisGame)
							.text(games[id].name)
							.data('gameid',id)
							.click(function(){
								loadGame($(this).data('gameid'));
								$(this).closest('.window').trigger('closeWindow');
								return false;
							});
						list.append(thisGame);
					}
					if(games.length == 0){
						list = $('<p>There are currently no saved games.</p>');
					}
					
					makeWindow('Saved Games',list);
					return false;
				}
			}
		}
	}
};




