IsoCan.prototype.Renderers = {
	
	tile : function(thisTile){
		var loc = this.getLocFromTile(thisTile);
		var zoom = this.zoom.current;
		if(!this.isOnScreen(loc) || !thisTile.image){
			return false;
		}
		this.buffer.save();
		this.buffer.translate(loc[0],loc[1]);
		try{
			this.buffer.drawImage(thisTile.image, 0, 0, thisTile.image.width, thisTile.image.height);
		} catch(e) {
			console.log('Failed to render tile ',thisTile,e);
		}
		this.buffer.restore();
	},
	
	tileSprite : function(thisTile){
		var loc = this.getLocFromTile(thisTile);
		var zoom = this.zoom.current;
		if(!this.isOnScreen(loc) || !thisTile.image){
			return false;
		}
		
		var tileWidth = this.tileDef.width;
		var tileHeight = this.tileDef.height;
		
		this.buffer.save();
		this.buffer.translate(loc[0],loc[1]);
		try{
			this.buffer.drawImage(
				thisTile.image,
				thisTile.sx*tileWidth,
				thisTile.sy*tileHeight,
				thisTile.w*tileWidth,
				thisTile.h*tileWidth,
				0,
				0,
				thisTile.w*tileWidth,
				thisTile.h*tileHeight
			);
		} catch(e) {
			console.log('Failed to render tile ',thisTile,e,thisTile.sx*tileWidth, thisTile.sy*tileHeight, thisTile.w*tileWidth, thisTile.h*tileWidth, loc[0], loc[1], thisTile.w*tileWidth, thisTile.h*tileHeight);
		}
		this.buffer.restore();
	}
	
}
