/**
 * requestAnimationFrame shim layer with setTimeout fallback
 * @param {function} callback Function to call if an animation frame is required.
 * @param element The element (such as canvas element) that visualy bounds the animation.
 * @see https://developer.mozilla.org/en/DOM/window.mozRequestAnimationFrame
 * @see http://paulirish.com/2011/requestanimationframe-for-smart-animating/
 */
window.requestAnimFrame = (function(){
  return  window.requestAnimationFrame       || 
		  window.webkitRequestAnimationFrame || 
		  window.mozRequestAnimationFrame    || 
		  window.oRequestAnimationFrame      || 
		  window.msRequestAnimationFrame     || 
		  function(/* function */ callback, /* DOMElement */ element){
			window.setTimeout(callback, 1000 / 60);
		  };
})();

/**
 * isObject addition to underscore
 * FIXME: This should be a mixin.
 */
if(!_.isFunction(_.isObject)){
	_.isObject = function(objectToCheck){
		if(typeof objectToCheck == 'object'){
			return true;
		}
		return false;
	}
}
