/**
 * Generic resources for isoCan functions. Should probably merge these
 * in.
 */
var IsoRes = {
	Tiles : {},
	Sprites : {},
	
	/**
	 * Get the cursor position based on an event. Gratuitously stolen
	 * and modified for touch (although touch bombs out after a few
	 * goes, FIXME.)
	 * 
	 * @author Peter-Paul Koch <http://www.quirksmode.org/js/events_properties.html#position>
	 * @param e The event.
	 * @return {Array} [x,y] coordinates of the cursor.
	 */
	getCursorPos : function(e) {
		var posx = 0;
		var posy = 0;
		if (!e) var e = window.event;
		
		
		if(!_.isUndefined(e.touches) && e.touches.length == 1){ // Only deal with one finger
			var touch = e.touches[0]; // Get the information for finger #1
			return[touch.pageX, touch.pageY];
		}
		
		if (e.pageX || e.pageY) 	{
			posx = e.pageX;
			posy = e.pageY;
		}
		else if (e.clientX || e.clientY) 	{
			posx = e.clientX + document.body.scrollLeft
				+ document.documentElement.scrollLeft;
			posy = e.clientY + document.body.scrollTop
				+ document.documentElement.scrollTop;
		}
		return [posx,posy];
	},
	
	getObjectPos : function(obj){
		var curleft = curtop = 0;
		if (obj.offsetParent) {
			do {
				curleft += obj.offsetLeft;
				curtop += obj.offsetTop;
			} while (obj = obj.offsetParent);
			return [curleft,curtop];
		}
		return [0,0];
		
	},
	
	getTileOfType : function(tile,type){
		for(var i=0; i < tile.length; i++){
			if(tile[i].tileName == type) {
				return tile[i];
			}
		}
		return false;
	}
};
